## lush 1.0+cvs.2004.05.16

=== Makefile ===
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
#;;;
#;;; LUSH Lisp Universal Shell
#;;;   Copyright (C) 2002 Leon Bottou, Yann Le Cun, AT&T Corp, NECI.
#;;; Includes parts of TL3:
#;;;   Copyright (C) 1987-1999 Leon Bottou and Neuristique.
#;;; Includes selected parts of SN3.2:
#;;;   Copyright (C) 1991-2001 AT&T Corp.
#;;;
#;;; This program is free software; you can redistribute it and/or modify
#;;; it under the terms of the GNU General Public License as published by
#;;; the Free Software Foundation; either version 2 of the License, or
#;;; (at your option) any later version.
#;;;
#;;; This program is distributed in the hope that it will be useful,
#;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
#;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#;;; GNU General Public License for more details.
#;;;
#;;; You should have received a copy of the GNU General Public License
#;;; along with this program; if not, write to the Free Software
#;;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA
#;;;
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
#;;; $Id: Makefile.in,v 1.28 2003/02/05 00:01:19 profshadoko Exp $
#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


SHELL = /bin/sh

srcdir = .
top_srcdir = .
top_builddir = .
mybindir = ./bin
mysysdir = ./sys

prefix = /usr
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
datadir = ${prefix}/share
libdir = ${exec_prefix}/lib
mandir = /usr/share/man

MV = /bin/mv
M = /bin/rm
LN_S = ln -s
INSTALL = ${top_srcdir}/config/install-sh -c

#;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

SUBDIRS=src

world: all ${mybindir}/lush ${mysysdir}/stdenv.dump
	@echo "-------------------------------------------------------"
	@echo "Congratulations: the compilation was successful!"
	@echo ""
	@echo "Lush is designed to run from the compilation directory."
	@echo "Simply include" `pwd`"/bin in your shell search path,"
	@echo "or create a symlink to the executable" `pwd`"/bin/lush."
	@echo ""
	@echo "If you have root permissions, you can also perform a"
	@echo "system wide installation by typing 'make install'"
	@echo "-------------------------------------------------------"

${mybindir}/lush: all FORCE
	@test -d ${mybindir} || mkdir ${mybindir}
	@test -r ${mybindir}/lush~3 && \
	  ${MV} ${mybindir}/lush~3 ${mybindir}/lush~4 || true
	@test -r ${mybindir}/lush~2 && \
	  ${MV} ${mybindir}/lush~2 ${mybindir}/lush~3 || true
	@test -r ${mybindir}/lush~1 && \
	  ${MV} ${mybindir}/lush~1 ${mybindir}/lush~2 || true
	@test -r ${mybindir}/lush && \
          ${MV} ${mybindir}/lush ${mybindir}/lush~1 || true
	${INSTALL} -m 755 src/lush ${mybindir}

${mysysdir}/stdenv.dump: all ${mybindir}/lush FORCE
	${mybindir}/lush @sysenv stdenv -- ${mysysdir}/stdenv.dump

dump: ${mysysdir}/stdenv.dump 

cleanse: FORCE
	-for dir in `find . -type d -name 'C' -print -prune` ; \
	  do ${RM} -rf $$dir ; done 

all depend clean distclean: FORCE
	for d in ${SUBDIRS} ; \
	  do ( cd $$d && ${MAKE} $@ ) || exit ; done
	${MAKE} post-$@

post-all: FORCE
	@echo Compilation Done.

post-depend: FORCE
	@echo Done.

post-clean: cleanse FORCE
	-${RM} 2>/dev/null ${mysysdir}/stdenv.dump

post-distclean: post-clean FORCE
	-${RM} 2>/dev/null include/lushconf.h include/lushmake.h 
	-${RM} 2>/dev/null -rf autom4te.cache
	-${RM} 2>/dev/null -rf bin/lush bin/lush~[0-9]
	-${RM} 2>/dev/null Makefile config.log config.status

INSTALLDIRS =  etc include src sys lsh packages demos
FINDDIRS  = -type d -name C\* -prune -o -type d -print
FINDFILES = -type d -name C\* -prune -o -type f -print

install-sub: FORCE
	@echo "-- Installing executable"
	${INSTALL} -d ${DESTDIR}${bindir}
	${INSTALL} -m 755 src/lush ${DESTDIR}${bindir}
	@echo "-- Installing manpage"
	${INSTALL} -d ${DESTDIR}${mandir}/man1
	${INSTALL} ${srcdir}/debian/lush.1 ${DESTDIR}${mandir}/man1
	@echo "-- Creating data directories"
	${INSTALL} -d ${DESTDIR}${datadir}/lush
	cd ${srcdir} ;\
	for subdir in ${INSTALLDIRS} ; do \
	  for f in `find $$subdir ${FINDDIRS}` ; do \
	    ${INSTALL} -d  ${DESTDIR}${datadir}/lush/$$f ; done ; done
	@echo "-- Creating data files"
	cd ${srcdir} ;\
	for subdir in  ${INSTALLDIRS} ; do \
	  for f in `find $$subdir ${FINDFILES}` ; do \
	    ${INSTALL} ${srcdir}/$$f ${DESTDIR}${datadir}/lush/$$f ; done ; done

# The dump must be regenerated on the basis of the installed 
# lush files in order to get the time stamps right.
install-dump: FORCE
	${DESTDIR}${bindir}/lush @sysenv stdenv -- ${DESTDIR}${datadir}/lush/sys/stdenv.dump
	chmod 644  ${DESTDIR}${datadir}/lush/sys/stdenv.dump

install-nolink: install-sub install-dump
	@echo "-- Install done."

install: all install-sub install-dump
	@echo "-- Install done."

FORCE:

.PHONY: FORCE
