## lush 1.0+cvs.2004.05.13

=== debian/changelog ===
lush (1.0+cvs.2004.05.13) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 13 May 2004 23:23:09 -0600

lush (1.0+cvs.2004.04.02) unstable; urgency=low

  * New upstream, hopefully fix mips floating point exception

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  2 Apr 2004 09:29:53 -0700

lush (1.0+cvs.2004.03.06) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  6 Mar 2004 21:12:48 -0700

lush (1.0+cvs.2004.02.02) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Feb 2004 18:38:08 -0700

lush (1.0+cvs.2004.01.26) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 26 Jan 2004 21:03:21 -0700

lush (1.0+cvs.2003.09.08) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  8 Sep 2003 20:38:16 -0600

lush (1.0+cvs.2003.07.15) unstable; urgency=low

  * New upstream with patch for mips

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 15 Jul 2003 15:15:50 -0600

lush (1.0+cvs.2003.07.14) unstable; urgency=low

  * New upstream with hppa/alpha arch workarounds (closes:193054)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Jul 2003 14:30:32 -0600

lush (1.0+cvs.2003.07.12.1) unstable; urgency=low

  * Compile with gcc-2.95 on hppa and alpha (closes:193054)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Jul 2003 18:14:12 -0600

lush (1.0+cvs.2003.07.12) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Jul 2003 10:02:37 -0600

lush (1.0+cvs.2003.07.09) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  9 Jul 2003 11:56:16 -0600

lush (1.0+cvs.2003.06.23) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 24 Jun 2003 08:57:26 -0600

lush (1.0+cvs.2003.05.28) unstable; urgency=low

  * new upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 28 May 2003 17:10:17 -0600

lush (1.0+cvs.2003.05.27) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 May 2003 15:31:36 -0600

lush (1.0+cvs.2003.05.16) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 16 May 2003 23:25:55 -0600

lush (1.0+cvs.2003.05.09.1) unstable; urgency=low

  * Avoid use of dh_strip for lush (closes:192591)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  9 May 2003 04:42:40 -0600

lush (1.0+cvs.2003.05.09) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  9 May 2003 01:52:15 -0600

lush (1.0+cvs.2003.04.28) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Apr 2003 15:36:08 -0600

lush (1.0+cvs.2003.03.11) unstable; urgency=low

  * New upstream
  * Update standards version (no changes required)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 11 Mar 2003 23:34:09 -0700

lush (1.0+cvs.2003.02.14) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 14 Feb 2003 09:26:42 -0700

lush (1.0+cvs.2003.02.02.6) unstable; urgency=low

  * New upstream
  * New compilation sequence

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  6 Feb 2003 13:35:50 -0700

lush (1.0+cvs.2003.02.02.1) unstable; urgency=low

  * Build with static libbfd, remove binutils dependency (Thanks James Troup)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 20:07:02 -0700

lush (1.0+cvs.2003.02.02) unstable; urgency=low

  * Change binutils dependency (closes: 179534)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 17:42:02 -0700

lush (1.0+cvs.2003.01.31) unstable; urgency=low

  * New upstream
  * Add versioned library depends (closes: 178715)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 28 Jan 2003 09:21:17 -0700

lush (1.0+cvs.2003.01.19) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 19 Jan 2003 04:18:15 -0700

lush (1.0+cvs.2003.01.14) unstable; urgency=low

  * New upstream, version 1.0!
  * Build with gcc-3.2

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Jan 2003 15:08:57 -0700

lush (0.95+cvs.2002.12.17) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 17 Dec 2002 22:32:02 -0700

lush (0.1.1.2.cvs.2002.11.06) unstable; urgency=low

  * New CVS snapshot

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  6 Nov 2002 21:09:33 -0700

lush (0.1.1.2.cvs.2002.10.28) unstable; urgency=low

  * New CVS snapshot
  * Split rules file into arch & indep binaries

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Oct 2002 13:00:58 -0700

lush (0.1.1.2.cvs.2002.10.12) unstable; urgency=low

  * Update config.guess (closes: 164529)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Oct 2002 21:39:43 -0600

lush (0.1.1.2.cvs.2002.10.11) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Oct 2002 20:49:54 -0600

lush (0.1.1.2.cvs.2002.09.25) unstable; urgency=low

  * New upstream version.
  * Remove executable flag from non-executable files

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 10:17:10 -0600

lush (0.1.1.2.cvs.2002.09.18) unstable; urgency=low

  * New upstream version (adds more online help)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Sep 2002 21:51:17 -0600

lush (0.1.1.2.cvs.2002.09.07) unstable; urgency=low

  * Move lush library files into lush-library binary package

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  6 Sep 2002 21:35:43 -0600

lush (0.1.1.2.cvs.2002.09.06) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  5 Sep 2002 17:31:15 -0600

lush (0.1.1.2.cvs.2002.08.31) unstable; urgency=low

  * New upstream version.
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 31 Aug 2002 15:41:44 -0600

lush (0.1.1.2.cvs.2002.08.27) unstable; urgency=low

   * New upstream version, adds more library functions.
   * Add packages directory from upstream
  

