=== debian/control ===
Source: lush
Section: devel
Priority: extra
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0), binutils-dev, xlibs-dev
Standards-Version: 3.6.1.0

Package: lush
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lush-library
Description: Lisp Universal Shell Executable
 Lush is a programming language and environment that is based on the
 Lisp programming language. The lush language is small compared to ANSI
 Common Lisp and is optimized for numeric calculations. Lush includes
 a libraries for numerical analysis and building graphical user interfaces.
 .
 This package contains the binary executable.

Package: lush-library
Architecture: all
Depends: lush
Description: Lisp Universal Shell Library
 These are the libraries for the lush package.
 .
 Lush is a programming language and environment that is based on the
 Lisp programming language. The lush language is small compared to ANSI
 Common Lisp and is optimized for numeric calculations. Lush includes
 a libraries for numerical analysis and building graphical user interfaces.
