## lush 1.0+cvs.2004.05.16

=== debian/changelog ===
lush (1.0+cvs.2004.05.16) unstable; urgency=low

  * QA Upload.
  * Add amd64 to the list of supported architectures.  (Closes: #265426)

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 13 Aug 2004 01:15:07 -0700

lush (1.0+cvs.2004.05.15) unstable; urgency=low

  * QA Upload.
  * Provide explicit list of architectures supported, excluded ia64.
  See bug 243501.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 11 Aug 2004 13:28:06 -0700

lush (1.0+cvs.2004.05.14) unstable; urgency=low

  * New upstream
  * Orphan as in bug #250414

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 12 Jul 2004 19:02:17 -0600
