=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lush
 Section: devel
 Priority: extra
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0), binutils-dev, xlibs-dev
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.1.1
 
 Package: lush
-Architecture: any
+Architecture: alpha amd64 arm hppa i386 m68k mips mipsel powerpc s390 sparc
 Depends: ${misc:Depends}, ${shlibs:Depends}, lush-library
 Description: Lisp Universal Shell Executable
  Lush is a programming language and environment that is based on the
