## lush 1.2.1

=== debian/changelog ===
lush (1.2.1-9+cvs20110227build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:21:08 +0000

lush (1.2.1-9+cvs20110227) unstable; urgency=low

  * Upload to unstable
  * Fresh upstream CVS snapshot -- few fixes
  * Added  04-ld-no-add-needed patch to add -lfontconfig.
    Report and patch from Matthias Klose (Thanks!) (Closes: #608692)
  * Provide --with-cpu on i386 to overwrite mmx and sse assumptions
    (once again - thanks Matthias Klose!)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Feb 2011 09:15:19 -0500

lush (1.2.1-8+cvs20101229) experimental; urgency=low

  * Fresh upstream CVS snapshot -- might be the last one in lush 1.x
    series:
    - supports Renesas SH(sh4) (Closes: #574258). Thanks Nobuhiro Iwamatsu
      for the patch
  * debian/copyright: switched to DEP5 format
  * debian/compat,control: dh compat version 7
  * debian/control:
    - Policy boost to 3.9.1 (no changes seems to be due)
  * debian/patches,source,control: switch to 3.0 (quilt) source format
    from dpatch
  * debian/rules,...: simplifying to take advantage of dh7

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Dec 2010 14:47:07 -0500

lush (1.2.1-7+cvs20080204) unstable; urgency=medium

  * Fixed paths cvs20080204 so fresh versions of dpatch behave nicely
    (Closes: #608218). Thanks Jakub Wilk for reporting and Hideki Yamane
    for providing the fix
  * Added Vcs fields for easy debcheckout.  They point to freshly
    (re)initialized (using git-import-dscs --debsnapt) GIT repository
  * Added ${misc:Depends} to lush-library Depends (per lintian
    recommendations)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Dec 2010 11:45:37 -0500

lush (1.2.1-6+cvs20080204) unstable; urgency=low

  * Fresh CVS snapshot.
  * g77 -> gfortran, lapack3-dev -> liblapack-dev transition (Closes: #463966).
    Thanks Kumar Appaiah.
  * Homepage migrated into header field.
  * Changing versioing scheme to include CVS snapshot date into debian
    revision after + (instead of . which is used for NMUs)
  * Boosted standards to 3.7.3:
   - ${source:Version} instead of ${Source-Version}

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Feb 2008 23:27:34 -0500

lush (1.2.1-5.cvs20070918) unstable; urgency=low

  * Semi-automated introduction of CVS snapshots to benefit having up-to-date
    LUSH before next release.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 18 Sep 2007 01:28:20 -0400

lush (1.2.1-4) unstable; urgency=low

  * New maintainer. (Closes: #402989: ITA: lush -- Lisp Universal Shell
    Executable - Debian Bug report logs)
  * Moved copying of config.{sub,guess} under rule autotools, which has to be
    manually invoked to provide deterministic update of those files and to
    don't freak out svn-buildpackage. TODO: Need to clarify since that
    statement was added by dh_make
  * Tiny adjustment of debian/copyright file
  * Added homepage to the description in debian/control
  * Multiple changes within debian/rules
  * Added proper Build-Depends, which includes libxt-dev and others necessary
    to build lush so it could run demos (Closes: #336570)
  * Added development packages for on-fly-compilation done by lush into
    Recommends and Suggests, depending on how common they are. libcv-dev was
    added to Suggests (Closes: #312081)
  * Ship and properly enable lush.el along with lush-library package to
    enable lush command within emacs
  * Mentioned demos in README.Debian
  * Adjusted paths in the manpage patch
  * More things to do in future. But enough for current upload I hope

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun,  7 Jan 2007 14:03:44 -0500

lush (1.2.1-3) unstable; urgency=medium

  * QA upload.
  * src/dldbfd.c: Fix another `invalid lvalue in assignment'.
    Closes: #393084.

 -- Matej Vela <vela@debian.org>  Thu, 14 Dec 2006 12:45:12 +0100

lush (1.2.1-2) unstable; urgency=low

  * Orphaned package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 14 Dec 2006 00:41:00 +0100

lush (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Dropping 04-ftbfs.dpatch, went upstream.

 -- Daniel Baumann <daniel@debian.org>  Tue, 21 Nov 2006 15:12:00 +0100

lush (1.2-2) unstable; urgency=low

  * Corrected accidently mistake in rules wrt/ the -a/-i in
    build-arch/build-indep targets.
  * Downgrading lush-library depends on lush to recommends (Closes: #387672).

 -- Daniel Baumann <daniel@debian.org>  Tue, 19 Sep 2006 03:05:00 +0200

lush (1.2-1) unstable; urgency=low

  * New email address.
  * New upstrem release (Closes: #386420).
  * Removing 03-gcc4-amd64.dpatch, went upstream.
  * Added lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Sep 2006 10:29:00 +0200

lush (1.1-5) unstable; urgency=low

  * Added patch to fix FTBFS, thanks Matej (Closes: #367872).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon,  5 Jun 2006 10:52:00 +0200

lush (1.1-4) unstable; urgency=low

  * Removed patch for kfreebsd-i386, its obsolete since kfreebsd has SIGPOLL.
  * Set Architecture back to any, will ask the ia64 buildd admin to add it to
    p-a-s.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Thu, 26 Jan 2006 20:32:00 +0100

lush (1.1-3) unstable; urgency=low

  * Added patch to fix FTBS on kfreebsd-i386 (Closes: #345266).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Fri, 30 Dec 2005 14:29:00 +0100

lush (1.1-2) unstable; urgency=low

  * Added patch to fix FTBFS on mips and mipsel (Closes: #336086).
  * Rewritten debian/rules.
  * Using dpatch for maintaining patches.
  * Reformated debian/lush.1.
  * Minor formal changes.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Wed, 14 Dec 2005 13:43:00 +0100

lush (1.1-1) unstable; urgency=low

  * New upstream release:
    - no longer need to ship unstripped binaries (Closes: #315973).
  * added ppc64 to the list of architectures (Closes: #304516).
  * bumped policy to 3.6.2.


